Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 392277 - mail-mta/courier don't conflict with msmtp/ssmtp
Summary: mail-mta/courier don't conflict with msmtp/ssmtp
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Hanno Böck
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-28 13:57 UTC by Matus UHLAR - fantomas
Modified: 2019-01-27 15:55 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
removes courier conflict with msmtp and ssmtp (courier-0.66.3.ebuild-ssmtp+msmtp.patch,396 bytes, patch)
2011-11-29 08:17 UTC, Matus UHLAR - fantomas
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matus UHLAR - fantomas 2011-11-28 13:57:29 UTC
The courier package implicitly conflicts with ssmtp and msmtp.
Both of those packages can be built without mta support and they only conflict with courier if their "mta" USE flag is on.
Since courier doesn't know whether the flag is on, please remove the conflists upon those and let them decide whether to conflict or not.
Comment 1 Matus UHLAR - fantomas 2011-11-29 08:17:15 UTC
Created attachment 294137 [details, diff]
removes courier conflict with msmtp and ssmtp
Comment 2 Jeroen Roovers gentoo-dev 2011-12-04 03:12:19 UTC
So rather than removing the blocks, they should be converted to contain USE dependencies?
Comment 3 Matus UHLAR - fantomas 2011-12-04 14:11:47 UTC
if it's possible, yes.
much better way would be providing virtual mta package or supporting mailwrapper that was dropped from portage...
Comment 4 Toralf Förster gentoo-dev 2016-01-05 21:27:47 UTC
ping
Comment 5 Larry the Git Cow gentoo-dev 2019-01-27 15:55:04 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=10d464181b76d507bdb687ac60c9b34ab7d6116c

commit 10d464181b76d507bdb687ac60c9b34ab7d6116c
Author:     Hanno <hanno@gentoo.org>
AuthorDate: 2019-01-27 15:54:50 +0000
Commit:     Hanno <hanno@gentoo.org>
CommitDate: 2019-01-27 15:54:50 +0000

    mail-mta/courier: Allow co-installation with ssmtp/msmtp.
    
    ssmtp/msmtp only need to be blocked if they have the mta
    use flag set.
    
    Resolves: https://bugs.gentoo.org/392277
    Signed-off-by: Hanno Boeck <hanno@gentoo.org>
    Package-Manager: Portage-2.3.58, Repoman-2.3.12

 mail-mta/courier/courier-1.0.5.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)